-- -*- coding: raw-text -*-
-- anggmake.lua - generate the makefiles for the pages at angg.twu.net.
-- This is part of blogme3.
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2007nov12
-- <http://angg.twu.net/blogme3/makefile.lua>
-- <http://angg.twu.net/blogme3/makefile.lua.html>
-- License: GPL.

-- Note: this is a replacement for my old way of generating makefiles
-- for angg, that was based on TH:
-- (find-angg "TH/Files.tcl")



-- .anggtranslate	(to "anggtranslate")
-- .anggdonttranslate	(to "anggdonttranslate")
-- .escriptstems	(to "escriptstems")
-- .thstems		(to "thstems")
-- .blogmestems	(to "blogmestems")
-- .otherblogmestems  (to "otherblogmestems")
-- .makefileauto_template	(to "makefileauto_template")

require "makefile"      -- (find-blogme3 "makefile.lua")

-- anggtranslate  (to ".anggtranslate")
anggtranslate = splitandsort [[

  .emacs
  .emacs.papers
  .emacs.templates
  .emacs-tex.el
  .zshrc
  .bashrc
  .gdbinit
  .irbrc
  .cshrc
  .xinitrc.debian
  .xinitrc.redhat
  .xinitrc.cdd
  .wgetrc
  .emacs.local.bsd
  .emacs.local.debian
  .emacs.local.w32
  .fvwm/.fvwm2rc
  .fvwm/.fvwm2rc0
  .fvwm/.fvwm2rc1
  .fvwm/keys.fvwm
  .fvwm/nokeys.fvwm
  .fvwm/withkeys.fvwm

  .fvwm/all.fvwm
  .fvwm/edrx-menus.fvwm
  .fvwm/edrx-system.fvwm
  .fvwm/edrx.fvwm
  .fvwm/main-menu.hook
  .fvwm/post.hook.old

  .SciTEUser.properties

  .lua50/PP.c
  .lua50/PP.gdb
  .lua51/PP.c
  .lua51/PP.gdb
  .ruby/edrxinit.rb

  .zshrc.local.bsd
  .zshrc.local.cdd
  .zshrc.local.puc
  .zshrc.local.debian
  .zshrc.local.hurd
  .zshrc.local.mcgill
  .zshrc.local.sweetjane
  .zshrc.root
  .screenrc.hurd
  .a2ps/a2psrc
  .passwds.tcl-
  bin/Xscreenshot
  bin/Xscreenshot-rect
  bin/Xscreenshot-window
  bin/_psne
  bin/eeg
  bin/eeg4
  bin/fastcmp.lua
  bin/gsub.lua
  bin/pump.lua
  bin/sshot-uniq.lua
  bin/gs-640c-bw
  bin/intermail
  bin/mytcl
  bin/mywish
  bin/mysetxkb
  bin/netbsdman
  bin/lpdj-tmp
  bin/edit-pr.sh
  bin/edit.sh
  bin/gvpage.sh
  compose-old.el
  eev-extras.el
  eev.el
  lynx.cfg
  run-zsh
  run-bash
  4NT/4start.btm
  4NT/hh.btm
  CRIM1/crim1a-lib.tcl
  CRIM1/crim1a-prims.tcl
  CRIM1/crim1a-demo0.tcl
  CRIM1/crim1a.tcl
  CRIM1/tclstuff2
  CV/cv-edrx-2006-pt-.tex
  CV/cv-edrx-2008-pt-.tex
  CV/cv-edrx-2008-pt-short.tex
  EEG/gdbk.eeg
  EEG/gdbk.eeg3
  EEG/emacs1.eeg3
  DAVINCI/tcmd.tcl
  DAVINCI/intro.lua
  DAVINCI/peek.c
  DAVINCI/peek.lua
  DAVINCI/peek-luadecls-1.txt
  DAVINCI/peek-luadecls-2.txt
  DAVINCI/ldb-edrx.lua
  DAVINCI/iup3_iupgtk_drv_patch1.h
  DAVINCI/iup3_iupgtk_status_icon_hack1.c
  DAVINCI/tec_uname.outvars
  DAVINCI/tec_uname.outvars.iupluas
  ETC/README
  ETC/fstab.persephone
  ETC/fstab.persephone.guest
  ETC/gpm.conf.persephone-26
  ETC/inittab.persephone
  ETC/menu.lst.persephone
  ETC/sudoers.persephone
  ETC/wvdial.conf.persephone
  EXPECT/autopasswd
  EXPECT/Scp
  EXPECT/Sucuri
  EXPECT/Twu
  EXPECT/readfifo
  EXPECT/player
  ICON/debrepository.icn
  ICON/debreputil.icn
  ICON/vcsa2pnm.icn
  ICON/header.icn
  ICON/zinc.icn
  ICON/zlib.icn
  ICON/lslR2find2.icn
  ICON/tmp.icn
  FISL/README
  FISL/eev.tex
  LATEX/Makefile
  LATEX/catsem.bib
  LATEX/catsembibtest.tex
  LATEX/dednat.icn
  LATEX/desenhos.014
  LATEX/diaglib.014
  LATEX/tese2.sty
  LATEX/edrx.sty
  LATEX/poep.tex
  LATEX/yogphi.tex
  LATEX/reinhab.tex
  LATEX/dynkin.tcl
  LATEX/testdynkin.tex
  LFORTH/DNC
  LFORTH/README
  LFORTH/dbg.lua
  LFORTH/inner-mini.lua
  LFORTH/kernel.lua
  LFORTH/lforth
  LFORTH/outer-mini.lua
  LFORTH/stdlib.lua
  LFORTH/stdlib.lforth
  LFORTH/yoneda.lforth
  LILYPOND/minuet1.ly
  LILYPOND/roundmidnight.ly
  LUA/apt-move.lua
  LUA/blogme.lua
  LUA/brackets.lua
  LUA/call7777.lua
  LUA/debs.lua
  LUA/debs2.lua
  LUA/dednat.lua
  LUA/inc.lua
  LUA/index.blogme
  LUA/interactive.lua
  LUA/lh.lua
  LUA/loadlib/README.loadlib
  LUA/loadlib/lloadlib.c
  LUA/lstoindexhtml.lua
  LUA/lua50beta-argpatch.sh
  LUA/lua50init.lua
  LUA/lua50ref.r2
  LUA/luatclbridge.c
  LUA/math.blogme
  LUA/parsechangelog.lua
  LUA/port7777.lua
  LUA/rectxpm.lua
  LUA/quickdiff.lua
  LUA/tinyftp.lua
  LUA/tinyftplib.lua
  LUA/tlbridge.c
  MTA/Makefile
  MTA/pio_fontx.c
  MTA/vtutil
  MTA/vtutilsh.c
  OMNISYS/TODO
  PHP/ip.php
  PLURALL/linuxrc
  PLURALL/linuxrc2
  PLURALL/menu.lst
  README
  edrx1
  SWIG/demo_luaClua.c
  TCL/attachgdb
  TCL/dragTs.tcl
  TCL/inc.tcl
  TCL/lstoindexhtml
  TCL/piano.tcl
  dednat/README
  dednat/Makefile
  dednat/inc.lua
  dednat/dednat.lua
  dednat/dednat2.lua
  dednat/dednat3.lua
  dednat/diagxy.lua
  dednat/experimental.lua
  dednat/example.tex

  blogme/README
  blogme/blogme.lua
  blogme/edrxlib.lua
  blogme/index.blogme
  blogme/css.lua
  blogme/withdef.lua
  blogme/INTERNALS
  blogme/blogme2.lua
  blogme/blogme2-inner.lua
  blogme/blogme2-middle.lua
  blogme/blogme2-outer.lua
  blogme/blogme2-extras.lua
  blogme/blogme2-cgi.lua

  blogme3/Makefile
  blogme3/blogme3.txt
  blogme3/miniforth3.abs.txt
  blogme3/miniforth3.lua
  blogme3/anggdefs.lua
  blogme3/anggmake.lua
  blogme3/angglisp.lua
  blogme3/rumilisp.lua
  blogme3/rumimake.lua
  blogme3/brackets.lua
  blogme3/charset.lua
  blogme3/definers.lua
  blogme3/escripts.lua
  blogme3/elisp.lua
  blogme3/makefile.lua
  blogme3/options.lua
  blogme3/blogme3.lua
  blogme3/notes.e.lua
  blogme3/lstoindexhtml.lua

  dednat4/Makefile
  dednat4/README
  dednat4/dednat4.lua
  dednat4/dednat41.lua
  dednat4/edrxlib.lua
  dednat4/experimental.lua
  dednat4/regex-lua-etags

  dednat4/downloads/Makefile
  dednat4/examples/Makefile
  dednat4/examples/demodefs.tex
  dednat4/examples/eqfibs.metatex
  dednat4/examples/edrxarrows.tex
  dednat4/examples/edrxdednat.tex
  dednat4/examples/edrxdefs.tex
  dednat4/examples/edrxdnt.tex
  dednat4/examples/edrxglyphs.tex
  dednat4/examples/edrxheadfoot.tex
  dednat4/examples/edrxmain.tex
  dednat4/examples/edrxmain41.tex

  dednat4/examples/edrxdiagflags.tex
  dednat4/examples/edrxslides.tex

  dnc/NOTES
  dnc/ee-goto.el
  dynkin/Makefile
  dynkin/README
  dynkin/dyd-defs.tex
  dynkin/dyd-ex.tex
  dynkin/dynkin.tcl

  elisp/README
  elisp/emacs-wiki-edrx.el
  elisp/staff-mode.el
  elisp/stareval.el
  elisp/rpn.el
  elisp/geometria.el
  elisp/graficos.el
  elisp/rpn-geom.el
  elisp/plot.tcl
  elisp/tprops.el
  elisp/ttp.el
  elisp/ttp-1.el
  elisp/ttp-2.el
  elisp/ttp-qref.el
  elisp/eeimage.el
  elisp/math-glyphs.el
  elisp/w3m-e22.el
  elisp/cheap-face.el

  elisp/hisex.el
  elisp/myxpm.el

  flua/Makefile
  flua/README
  flua/demo1.flua
  flua/demo2.flua
  flua/demo3.flua
  flua/demo4.flua
  flua/demo6-lib
  flua/demo6.flua
  flua/demo7-lib
  flua/demo7.flua
  flua/flua-comp.lua
  flua/flua-prims.lua
  flua/flua.lua
  flua/inc.lua
  flua/skel.bytecode.asm
  flua/skel.engine.c
  lua-4.0/README.other
  lua-4.0/src/libdllua/lrexlib-new.c
  miniforth/TECHREP
  miniforth/cube1.mflua
  miniforth/miniforth1.lua
  miniforth/miniforth2.lua
  miniforth/miniforth3.abs.txt
  miniforth/miniforth3.lua
  miniforth/miniforth4.lua
  miniforth/miniforth5.lua
  miniforth/miniforth5.out
  miniforth/macro1.lua
  miniforth/macro2.lua
  miniforth/test1.mflua
  miniforth/test2.mflua
  miniforth/yoneda.mflua
  miniforth/mylua
  miniforth/lcode.e
  miniforth/crim/Makefile
  miniforth/crim/NOTES
  miniforth/crim/crim.lua
  miniforth/crim/crimextras.lua
  miniforth/crim/crimlabels.lua
  miniforth/crim/demo1.mflua
  miniforth/crim/demo2.mflua
  miniforth/crim/demo3.mflua
  miniforth/crim/demo4.mflua
  miniforth/crim/skel.bytecode.asm
  miniforth/crim/skel.engine.c

  rubyforth/README.too

  rubyforth/FEATURES
  rubyforth/GLOSSARY
  rubyforth/LICENSE
  rubyforth/README
  rubyforth/TODO
  rubyforth/USAGE
  rubyforth/demos/hello.rb
  rubyforth/demos/laforth.fs
  rubyforth/demos/tests.fs
  rubyforth/file.rb
  rubyforth/forth.rb
  rubyforth/high-level.fs
  rubyforth/inspector.rb
  rubyforth/install.sh
  rubyforth/kernel.rb
  rubyforth/primitives.rb
  rubyforth/rubyforth
  rubyforth/stack.rb
  rubyforth/tools/case.fs
  rubyforth/tools/deblock.fs
  rubyforth/tools/forget.rb
  rubyforth/tools/inline.fs
  rubyforth/tools/ip.fs
  rubyforth/tools/postpone.fs
  rubyforth/tools/relocatable.fs
  rubyforth/tools/repl.fs
  rubyforth/tools/system.fs
  rubyforth/tools/whereis.fs
  rubyforth/vocabulary.rb

  vtutil/README
  vtutil/Makefile
  vtutil/pio_fontx.c
  vtutil/inc.lua
  vtutil/vtutil.lua
  vtutil/mathchars.lua
  vtutil/makefonts_8.lua
  vtutil/vtscreenshot

  vtutil4/Makefile
  vtutil4/Makefile-old
  vtutil4/README
  vtutil4/inc.lua
  vtutil4/lbitlib.c
  vtutil4/mathchars.lua
  vtutil4/piofontx.c
  vtutil4/piofontx51.c
  vtutil4/regex-lua-etags
  vtutil4/vtfontlib.lua
  vtutil4/vtutil.lua
  vtutil4/vtutil51.lua

  eev/.files
  eev/Makefile
  eev/INSTALL
  eev/README
  eev/README.pt
  eev/TODO
  eev/debian/README.debian
  eev/debian/50eev.el
  eev/debian/packages
  eev/demo/.bashrc
  eev/demo/.emacs
  eev/demo/.gdbinit
  eev/demo/.profile
  eev/demo/.zshrc
  eev/demo/dlopen.e
  eev/demo/dlopen.eeg4
  eev/demo/emacs0.eeg4
  eev/e/debian-chroot.e
  eev/e/debian-pkg.e
  eev/e/debian.e
  eev/e/debootstrap.e
  eev/e/keys.e
  eev/e/links.e
  eev/e/tutorial.e
  eev/e/tutorial.pt.e
  eev/eeg
  eev/eeg4

  eev/eev.el
  eev/eev-vars.el
  eev/eev-misc.el
  eev/eev-links.el
  eev/eev-mklinks.el
  eev/eev-save.el
  eev/eev-hybrids.el
  eev/eev-menu-bar.el

  eev/eev-gud.el
  eev/glyphs.el
  eev/libeeg/k
  eev/libeeg/msg
  eev/libeeg/term
  eev/libeeg/glue
  eev/libeeg/fast
  eev/libeeg/all
  eev/libeeg/term-linux.auto.tcl
  eev/libeeg/term-xterm.auto.tcl
  eev/libeeg/term-screen.auto.tcl
  eev/texts/brave-gnu-world-13.txt
  eev/texts/eev-manifesto.txt
  eev/texts/informal.txt
  eev/texts/tourism.txt
  eev/texts/why-users.txt
  eev/changer.awk
  eev/changer.sh
  eev/rcfiles/.bashrc
  eev/rcfiles/.cshrc
  eev/rcfiles/.zshrc
  eev/rcfiles/.gdbinit
  eev/rcfiles/.emacs

  eev-current/.favicon.el
  eev-current/.files
  eev-current/.files-html
  eev-current/.files-0.95.2
  eev-current/BUGS
  eev-current/CHANGELOG
  eev-current/COPYING
  eev-current/DEDICATION
  eev-current/DEDICATION.c-r
  eev-current/INSTALL
  eev-current/INSTALL-0.95.0
  eev-current/Makefile
  eev-current/README-0.95.0
  eev-current/README-0.95.1
  eev-current/README-0.95.2
  eev-current/THANKS
  eev-current/TODO
  eev-current/VERSION

  eev-current/anim/.favicon.el
  eev-current/anim/README
  eev-current/article/.favicon.el
  eev-current/article/Makefile
  eev-current/article/README
  eev-current/article/eev.tex
  eev-current/article/eev.txt
  eev-current/doc/EEVMANIFESTO
  eev-current/doc/HISTORY
  eev-current/doc/NAO_pt
  eev-current/doc/README
  eev-current/doc/README-0.93
  eev-current/doc/TOURISM
  eev-current/doc/eev.texi
  eev-current/doc/keys.e
  eev-current/doc/tutorial.e
  eev-current/examples/.favicon.el
  eev-current/examples/README
  eev-current/examples/anim.e
  eev-current/examples/awk.e
  eev-current/examples/busybox.e
  eev-current/examples/c.e
  eev-current/examples/debian.e
  eev-current/examples/demos.e
  eev-current/examples/debs2.lua
  eev-current/examples/eev-tests.e
  eev-current/examples/emacs.e
  eev-current/examples/gtk.e
  eev-current/examples/iskidip.e
  eev-current/examples/iskidip2.e
  eev-current/examples/lua.e
  eev-current/examples/make.e
  eev-current/examples/mgp.e
  eev-current/examples/perl.e
  eev-current/examples/php.e
  eev-current/examples/ps.e
  eev-current/examples/python.e
  eev-current/examples/qemu.e
  eev-current/examples/ruby.e
  eev-current/examples/screenshots.e
  eev-current/examples/sh.e
  eev-current/examples/svn.e
  eev-current/examples/tcltk.e
  eev-current/examples/tex.e
  eev-current/examples/escript-mode.el
  eev-current/examples/infoindex.rb
  eev-current/rcfiles/README
  eev-current/rcfiles/tmp/README
  eev-current/rcfiles/.bashrc
  eev-current/rcfiles/.bashrc-psne
  eev-current/rcfiles/.fvwmrc
  eev-current/rcfiles/.pythonrc.py
  eev-current/rcfiles/.tclshrc
  eev-current/rcfiles/.vimrc
  eev-current/rcfiles/.zshrc
  eev-current/rcfiles/.zshrc-psne
  eev-current/rcfiles/channel.py
  eev-current/rcfiles/channel.tcl
  eev-current/tmp/README
  eev-current/tmp/tmp-pst.tex
  eev-current/tmp/tmp.c
  eev-current/tmp/tmp.mp
  eev-current/tmp/tmp.tex

  eev-current/slides/dec2006-pt.txt

  .eev/HELP
  .eev/HELP-html
  .eev/HELP-gtk
  .eev/HELP-lua
  .eev/HELP-howm

  sisrot/sc.lua
  sisrot/ssrt.lua
  sisrot/switch.lua
  sisrot/trajetoria.lua
  sisrot/unidades.txt

  windows-emacs/make-iso.e
  FundComp/etc
  FundComp/trabalho-eval
  FundComp/trabalho-geometria
  FundComp/trabalho-graficos
  FundComp/trabalho-rpn
  FundComp/trabalho-tabelas

  taro.txt
  tecido

  MARCOS/foo.lua

]]


-- anggdonttranslate  (to ".anggdonttranslate")
anggdonttranslate = splitandsort [[

  .mapleinit
  .tclshrc
  .psne.carry
  glyphbug
  .Xdefaults

  HOWM/MainTasks
  HOWM4/Installation

  BUSYBOX/config-1.00
  BUSYBOX/config-1.2.0
  C/Makefile
  C/fontimage.c
  C/fontimage.icn
  C/math.extras
  CRIM1/Crim-0.01.tar.gz
  CRIM1/Crim-0.02.tar.gz
  CRIM1/Makefile
  CRIM1/README
  CRIM1/crim1-2000jul07.txt
  CRIM1/demo0a.tf
  CRIM1/demo0a.lst
  CRIM1/demo0b.tf
  CRIM1/demo0b.lst
  CRIM1/demo1.tf
  CRIM1/demo1.lst
  CRIM1/demo2.tf
  CRIM1/demo2.lst
  CRIM1/demo2.engine.c
  CRIM1/demo3a.tf
  CRIM1/demo3a.lst
  CRIM1/demo3b.tf
  CRIM1/demo3b.lst
  CRIM1/engine0.c
  CRIM1/engine1.c
  CRIM1/engine2.c
  CRIM1/engine3a.c
  CRIM1/engine3b.c
  CRIM1/tclstuff
  DANIEL/daniel.png
  DANIEL/engrac-p173.png
  EDRXPAGE/README
  EDRXPAGE/copyright
  EDRXPAGE/packages
  EXPECT/anonftp
  EXPECT/eheaders
  EXPECT/emaple
  EXPECT/seefonts
  EXPECT/sshsucuri
  ICON/tron.icn
  ICON/tron.icn.html
  ICON/tron.icn.png
  IMAGES/palette.png
  IMAGES/emacsllded.png
  IMAGES/emacsvtutil.png
  IMAGES/gawk.png
  IMAGES/kaoya.png
  IMAGES/preslim.png
  IMAGES/rrj.png
  IMAGES/stpkys_vsm_notxt.gif
  IMAGES/exists-shot.png
  IMAGES/exists-xdvi.png
  IMAGES/trans.png
  IMAGES/powered-by-anger.png
  IMAGES/powered-by-anger.svg
  IMAGES/hyperdoctrine.png
  IMAGES/Atimes.png
  IMAGES/Atimes-dnt.png
  IMAGES/TfromFtoG.png
  IMAGES/lccc-bcc.png
  IMAGES/lccc-frob.png
  IMAGES/eqfib-trans.png
  IMAGES/forth.png
  IMAGES/forthlua.png
  IMAGES/forthluawhite.png
  IMAGES/forthsun.png
  IMAGES/littlelangs.png
  IMAGES/transparent-fav.png
  LATEX/bussproofs.sty
  LATEX/zinc.icn
  LATEX/zlib.icn
  LATEX/proof.edrx.sty
  LATEX/mar99a.dn
  LATEX/mar99a.dnt
  LATEX/mar99b.dn
  LATEX/mar99b.dnt
  LATEX/vgatim.sty
  LATEX/gray50.bmp
  LATEX/gray50xx.bmp
  LINUX/2.4.26-initrd.conf
  LINUX/2.6.28-persephone1.conf
  LUA/toposort.lua
  LUA/loadlib/loadlib.patch
  MTA/defkeymap850b.map
  MTA/128
  MTA/128b
  MTA/math850.map
  MTA/fonts.dir
  MTA/math1.8.bdf
  MTA/math1.8b.bdf
  MTA/math1.8c.bdf
  PFORTH/Makefile
  PFORTH/mtamacros.h
  PFORTH/tclpforth.c
  PFORTH/tclpforth.tcl
  PFORTH/tclpf_custom.c
  PFORTH/tclpf_hook.c
  PYTHON/debs.py
  SQL/mysqltutor-1
  SQL/mysqltutor-2
  TCL/dednames
  TCL/httpwiki-old
  TCL/httpwiki
  TCL/fix-eheaders
  TCL/font2bdf
  TCL/tcl.ttp
  TCL/Tcl-pt.n
  TEXINFO/eev.texi

  bin/emacs-c.cmd
  bin/gravis-up
  bin/inx-up
  bin/inx.dip-nopwds
  bin/kbrequest
  bin/sendemail
 crim/index.html
 crim/1-autod.4th.txt
 crim/1.4th.txt
 crim/1.aud.txt
 crim/2-autod.4th.txt
 crim/2.4th.txt
 crim/2.aud.txt
 crim/ETC.txt
 crim/announce.txt
 crim/autodoc.4th.txt
 crim/crim.c.txt
 crim/crimcomp.4th.txt
 crim/letter.txt
 crim/patchpfe.txt
  davidwest.txt
  dednat/bussproofs.sty
  dednat/proof.edrx.sty
  dednat/example_tex.png
  dednat/example_dvi.png
  diaglib/godement1.png
  diaglib/godement2.png
  diaglib/godement3.png
  eev/dlopen.png

  dednat4/dednat4-icon.png
  blogme/blogme-icon.png
  blogme3/.favicon.png
  icon-tourism.png

  eev-current/doc/shot-f3.png
  eev-current/doc/shot-f8.png
  eev-current/doc/shot-f9.png
  eev-current/doc/shot-eev-ttp.png
  eev-current/doc/diag-save.svg
  eev-current/doc/diag-save.jpg
  eev-current/doc/diag-links.svg
  eev-current/doc/diag-links.jpg

  eev-current/ChangeLog           eev-current/ChangeLog.html
  eev-current/EMACS               eev-current/EMACS.html
  eev-current/NEWS                eev-current/NEWS.html
  eev-current/README              eev-current/README.html
  eev-current/eev.el              eev-current/eev.el.html
  eev-current/eev-all.el          eev-current/eev-all.el.html
  eev-current/eev-bounded.el      eev-current/eev-bounded.el.html
  eev-current/eev-compose.el      eev-current/eev-compose.el.html
  eev-current/eev-glyphs.el       eev-current/eev-glyphs.el.html
  eev-current/eev-math-glyphs.el  eev-current/eev-math-glyphs.el.html
  eev-current/eev-steps.el        eev-current/eev-steps.el.html
  eev-current/eev-browse-url.el   eev-current/eev-browse-url.el.html
  eev-current/eev-insert.el       eev-current/eev-insert.el.html
  eev-current/eev-langs.el        eev-current/eev-langs.el.html
  eev-current/eev-mini.el         eev-current/eev-mini.el.html
  eev-current/eev-mini-steps.el   eev-current/eev-mini-steps.el.html
  eev-current/eev-sshot.el        eev-current/eev-sshot.el.html
  eev-current/htmlize-eev.el      eev-current/htmlize-eev.el.html
  eev-current/htmlize-all.el      eev-current/htmlize-all.el.html
  eev-current/eeg                 eev-current/eeg.html
  eev-current/eeg4                eev-current/eeg4.html
  eev-current/eegchannel          eev-current/eegchannel.html
  eev-current/eev-rctool          eev-current/eev-rctool.html

  eev-current/eev-glyph-icon.png
  eev-current/eev-icon.png

  eev-current/.favicon.png
  eev-current/anim/.favicon.png
  eev-current/anim/channels.anim  eev-current/anim/channels.anim.html
  eev-current/anim/gdb.anim       eev-current/anim/gdb.anim.html
  eev-current/article/.favicon.png
  eev-current/article/ss-f9.png
  eev-current/article/ss-gdbtall.png
  eev-current/article/ss-gdbwide.png
  eev-current/article/ss-lua.png
  eev-current/article/ss-m-h.png
  eev-current/article/ss-modular.png
  eev-current/article/iskidip.eps
  eev-current/article/iskidip.svg
  eev-current/examples/.favicon.png

  elisp/tron.el
  elisp/tron.el.html
  elisp/tron.el.png
  elisp/scrshot-plot.png
  elisp/sshot.el
  elisp/sshot.el.html
  kconf2220-cdrw
  lua-4.0/Makefile.patch
  lua-4.0/README.rttpatch
  lua-4.0/README.yada
  lua-4.0/_NEWFILES
  lua-4.0/_PATCHES
  lua-4.0/config.patch
  lua-4.0/debian/changelog
  lua-4.0/debian/packages

  lua-4.0/debian/control
  lua-4.0/debian/dirs
  lua-4.0/debian/docs
  lua-4.0/debian/rules

  lua-4.0/doc/lua.texi
  lua-4.0/include/dllua.h
  lua-4.0/src/libdllua/Makefile
  lua-4.0/src/libdllua/dllua_open.c
  lua-4.0/src/libdllua/lbitlib.c
  lua-4.0/src/libdllua/loadlib.c
  lua-4.0/src/libdllua/loadlib.h
  lua-4.0/src/libdllua/lrexlib.c
  lua-4.0/src/lua/Makefile.patch
  lua-4.0/src/lua/lua.c.patch
  mktclapp-3.9/.files
  mktclapp-3.9/Makefile
  mktclapp-3.9/README.debian
  mktclapp-3.9/debian/README.debian
  mktclapp-3.9/debian/changelog
  mktclapp-3.9/debian/control
  mktclapp-3.9/debian/copyright
  mktclapp-3.9/debian/dirs
  mktclapp-3.9/debian/docs
  mktclapp-3.9/debian/examples
  mktclapp-3.9/debian/rules
  mktclapp-3.9/debian/substvars
  mktclapp-3.9/examples/Makefile
  mktclapp-3.9/examples/README
  mktclapp-3.9/examples/factor.c
  mktclapp-3.9/examples/factor.tcl
  mktclapp-3.9/examples/factor2.tcl
  mktclapp-3.9/examples/hello.c
  mktclapp-3.9/examples/hello0.tcl
  mktclapp-3.9/examples/hello1.tcl
  mktclapp-3.9/examples/hello2.tcl
  mktclapp-3.9/examples/hellob.tcl
  mktclapp-3.9/mktclapp.pod
  mktclapp-3.9/xmktclapp.pod
  p.txt
  s.txt
  greenliv1.txt
  rumi1.txt
  replace/defkeymap-iso.map
  replace/defkeymap850b.map
  replace/iso01.f08
  replace/TextConfig.angg
  the_hurd_links.html
  l4-hurd.html
  vtutil/editing-font.png
  vtutil/ega0.8
  vtutil/ega1.8
  vtutil/ega0.16
  vtutil/ega1.16
  vtutil/defkeymap.map.edrx

  vtutil4/ega0.16
  vtutil4/ega0.8
  vtutil4/ega1.16
  vtutil4/ega1.8

  windows-emacs/abre-c.bat
  windows-emacs/copia-d.bat
  windows-emacs/copia-e.bat
  windows-emacs/emacs-c.bat
  windows-emacs/emacs-d.bat
  windows-emacs/emacs-e.bat
  windows-emacs/bats.zip

  usrc/rcirc/rcirc.el
  usrc/rcirc/rcirc-x.el

  WebWiki/AleisterCrowley.html
  WebWiki/BodyMods.html
  WebWiki/CategoryTheory.html
  WebWiki/ChurchOfEuthanasia.html
  WebWiki/CompCs.html
  WebWiki/DakiniDeck.html
  WebWiki/DebianGnu.html
  WebWiki/DebianVsRedHat.html
  WebWiki/Dictionaries.html
  WebWiki/DistanciaPontoReta.html
  WebWiki/DosAndWindows.html
  WebWiki/Eev.html
  WebWiki/EevInterface.html
  WebWiki/EevToDo.html
  WebWiki/ElispHyperlinks.html
  WebWiki/Emacs.html
  WebWiki/EmacsParaWindows.html
  WebWiki/EmacsWiki.html
  WebWiki/EmacsWikiEl.html
  WebWiki/EmacsWikiMode.html
  WebWiki/Estatistica.html
  WebWiki/EstatisticaAulas.html
  WebWiki/EstatisticaQuestionarios.html
  WebWiki/FCBibliografia.html
  WebWiki/FCHistoria.html
  WebWiki/FCTeoriaDaComputacao.html
  WebWiki/Forth.html
  WebWiki/FundComp.html
  WebWiki/FundCompEmacs.html
  WebWiki/FundCompTrabalhos.html
  WebWiki/Games.html
  WebWiki/GarySnyder.html
  WebWiki/Geometria.html
  WebWiki/Hurd.html
  WebWiki/Icon.html
  WebWiki/LacqueredDuck.html
  WebWiki/LambdaCalculo.html
  WebWiki/LilyPond.html
  WebWiki/Linux.html
  WebWiki/LispMemoria.html
  WebWiki/LispOrdemDeAvaliacao.html
  WebWiki/Lua.html
  WebWiki/MudancaDeEscala.html
  WebWiki/Music.html
  WebWiki/NetBsd.html
  WebWiki/NewTags.html
  WebWiki/Personal.html
  WebWiki/Politics.html
  WebWiki/PostScript.html
  WebWiki/SchemeVersusLisp.html
  WebWiki/Silk.html
  WebWiki/SlackWare.html
  WebWiki/TclTkExpect.html
  WebWiki/ToDo.html
  WebWiki/Translacoes.html
  WebWiki/VariaveisLivres.html
  WebWiki/VeganPage.html
  WebWiki/Vetores.html
  WebWiki/Viola.html
  WebWiki/WelcomePage.html
  WebWiki/WikiIndex.html
  WebWiki/pitagoras.fig.html
  Wiki/AleisterCrowley
  Wiki/BodyMods
  Wiki/CategoryTheory
  Wiki/ChurchOfEuthanasia
  Wiki/CompCs
  Wiki/DakiniDeck
  Wiki/DebianGnu
  Wiki/DebianVsRedHat
  Wiki/Dictionaries
  Wiki/DistanciaPontoReta
  Wiki/DosAndWindows
  Wiki/Eev
  Wiki/EevInterface
  Wiki/EevToDo
  Wiki/ElispHyperlinks
  Wiki/Emacs
  Wiki/EmacsParaWindows
  Wiki/EmacsWikiMode
  Wiki/Estatistica
  Wiki/EstatisticaAulas
  Wiki/EstatisticaQuestionarios
  Wiki/FCBibliografia
  Wiki/FCHistoria
  Wiki/FCTeoriaDaComputacao
  Wiki/Forth
  Wiki/FundComp
  Wiki/FundCompEmacs
  Wiki/FundCompTrabalhos
  Wiki/Games
  Wiki/GarySnyder
  Wiki/Geometria
  Wiki/Hurd
  Wiki/Icon
  Wiki/LacqueredDuck
  Wiki/LambdaCalculo
  Wiki/LilyPond
  Wiki/Linux
  Wiki/LispMemoria
  Wiki/LispOrdemDeAvaliacao
  Wiki/Lua
  Wiki/MudancaDeEscala
  Wiki/Music
  Wiki/NetBsd
  Wiki/Personal
  Wiki/Politics
  Wiki/PostScript
  Wiki/SchemeVersusLisp
  Wiki/Silk
  Wiki/SlackWare
  Wiki/TclTkExpect
  Wiki/ToDo
  Wiki/Translacoes
  Wiki/VariaveisLivres
  Wiki/VeganPage
  Wiki/Vetores
  Wiki/Viola
  Wiki/WelcomePage
  Wiki/pitagoras.fig

]]

thdeps = splitandsort [[
  Generate
  Htmllib.tcl
  Files.tcl
  Debiandocs.tcl

  Makefile
]]

-- escriptstems  (to ".escriptstems")
-- (find-fline "$ES/")
-- (find-sh "cd $ES; ls -C *.e | expand | sed s/\\\\.e//g")
-- without([[ cartas contas corresp locz linhadir ]], ...)
--
escriptstems = splitandsort [[

04dia-d        diagrams     howm        mgp            rest
04lua          dict         hsforth     mini           rpm
21             doc          html        mktclapp       ruby
anatocc        dos          http        ml             scheme
angg           dpkg         hurd-old    modelcheck     screen
anggsmil       dual         hurd        modem          slink
apache         e2fs         hw-eth      modula3        smalltalk
apt            eeg          hw-parport  mouse          snarf
awk            eev          hw-sound    mp3            sound
bash           emacs        icon        multiterminal  sql
bis            escripts     icq         music          squeak
bootcd         ethernet     index       mysql          ssh
bsd            ewiki        init        net            sudo
busybox        exim         initrd      netbasics      tcl-cipsga
cdd            expect       inkscape    netbsd         tcl
cdrom          fl           interbase   netscape       tcsh
cfengine       float        ion         news           tese
charsets       floppy       irc         nonfree        tex
chinese        flua         k22         octal          texinfo
chroot         forth        kernel      oldpage        todo
cipsga         fortho       latest      oskit          tomsrtbt
clock          ftpd         lexyacc     page           tourism    omnisys
conf           fvwm         licenses    pam            transp     sisrot
console        games        lilo        perl           usermodelinux  java
coq            gdb          lilypond    perl1          vi        javascript
crim           general      livecd      php            vnc       iup-old   gnus
cron           gimp         locale      planner        wget      iup  scintilla
cvs            gnome        localnet    postgres       wiki      blogme
dbootstrap     gnuplot      lua-old     potato         x         plurall   w32
debian-by-ex   gpg          lua         potatocds      xxx-server   lua-intro
debian-cd      greenmatrix  lua5        print          xypic     pic   kepler
debian-net     groff        lynx        ps             yard      expat  davinci
debian         grub         mail        python         zsh       gforth   sqlite
debian0        gtk          make        qemu             oracle     gaim
debiandev      hardware     man         raven10          swig       openoffice
debrepository  haskell      maple       raven10b         dialog     figlet  qt
dednat         hd           math        redhat           sweetjane  dvd   lisp
  doxygen   adwin   maxima    xen    rubyforth

]]

-- thstems  (to ".thstems")
-- (find-sh "cd ~/TH/; ls -C *.th")
-- (find-sh "cd ~/TH/; ls -C *.th | expand | sed s/\\\\.th//g")
thstems = splitandsort [[

01jul14      dvis           haskell    montreal  thl
Estatistica  eev-2004       html                 to-do
FundComp     eev-mails      hurd                 tourism-old
Geometria    eev-manifesto             other     
arafat       eev-notes      index-old  perl      
cipsga       emacs-old      index-th   python    
contact-old  emacs-tutor    index2     redhat0   vegan-old
crashco      escripts       linux      search    vtutil
crim1        files          logic      snarf
debug        forth          lua-old    tcltk     zsh
dednat                      map        tese
diaglib-old  grub           math       test
duallinux    hacks          mktclapp

]]

-- blogmestems  (to ".blogmestems")
-- (find-sh "cd ~/TH/; ls -C *.blogme")
-- (find-sh "cd ~/TH/; ls -C *.blogme | expand | sed s/\\\\.blogme//g")
blogmestems = splitandsort [[

blogme           heroes         snyder     2007dnc-sets  2007dnc-halfdnc
bookmarks        icon           speedbar   2007dnc-cats  2007lcccs
contact          index          tcl        2007dnc-bcc   2007dnc-etc
cv-edrx-2005-pt  iskidip        tmp-b      2007semantics   2007mesa
dba              iskidip0       tmp        2007hyperdoctrines
debian           littlelangs             index2007    wilimlj   2007diffcats
dednat4          luaforth       tourism    2007dnc-monads  2007sheaves
desarmamento     luasocket      vegan      coe  crowley    j2tech
eev-article      math-b         vegan1     plurall   latex  blogme3-angg
emacs            music          w32        dnc2007   iup    peek    gaiman
floreser         personal       webcomics  blogme3   gender davinci  michel
friends          politics                  blog   unibanco  ruby   smalltalk
fvwm             seminar-notes             rrj  rrj2  rrj3  rrj4   rrj5   rrj6
  leatavora                                eev  desalojados  minilangs    rrj7
  oficinadasemente   miniforth-article   miniforth   2007dnc-sdg    todo
    unclassified     why-users           anaisnin     middle-c
    unclassified2    movies              literature
    unclassified3    gnu                 prestesjoao
]]

-- otherblogmestems	(to ".otherblogmestems")
otherblogmestems = splitandsort [[
  blogme3/blogme3
]]


-- makefileauto_template  (to ".makefileauto_template")
makefileauto_template = [[

TH_HTMLS = thstems     | _.html blogmestems| _.html otherblogmestems| _.html

A_HTMLS = anggtranslate| _.html thdeps     | TH/_.html

E_HTMLS = escriptstems | e/_.e.html

TGZFILES = anggtranslate    | _   \
	   anggdonttranslate| _    \
	   escriptstems     | e/_.e \
	   thdeps           | TH/_   \
	   thstems          | TH/_.th \
	   blogmestems      | TH/_.blogme \
	   otherblogmestems | _.blogme

ifeq ($(COPYING),1)
COPIES = $(TGZFILES)

anggtranslate|
_: $(HOME)/_
	$(CP) $< $@ && touch -c $@
anggdonttranslate|
_: $(HOME)/_
	$(CP) $< $@ && touch -c $@
escriptstems|
e/_.e: $(ES)/_.e
	$(CP) $< $@ && touch -c $@
thdeps|
TH/_: $(THDIR)/_
	$(CP) $< $@ && touch -c $@
thstems|
TH/_.th: $(THDIR)/_.th
	$(CP) $< $@ && touch -c $@
blogmestems|
TH/_.blogme: $(THDIR)/_.blogme
	$(CP) $< $@ && touch -c $@
otherblogmestems|
_.blogme: $(HOME)/_.blogme
	$(CP) $< $@ && touch -c $@

else
COPIES =
endif

#Extra deps:
files.html: $(THDIR)/Files.tcl
debian.html: $(THDIR)/Debiandocs.tcl
escripts.html: $(THDIR)/Files.tcl

thstems|
_.html: TH/_.th
	$(GENERATE) $@ $<
blogmestems|
_.html: TH/_.blogme
	$(BLOGME3) -o $@ -i $<
otherblogmestems|
_.html: _.blogme
	$(BLOGME3) -o $@ -i $<
anggtranslate|
_.html: _
	$(BLOGME3) -o $@ -a2html $<
thdeps|
TH/_.html: TH/_
	$(BLOGME3) -o $@ -a2html $<
escriptstems|
e/_.e.html: e/_.e
	$(BLOGME3) -o $@ -a2html $<

]]

--[[
blogmestems|
TH/_.blogme.html: TH/_.blogme
	$(BLOGME3) -o $@ -a2html $<
--]]

print(expandguillemets(makefileauto_template))

-- (find-angg "RUMI/")
-- (find-sh "cd ~/blogme3/; lua51 ~/blogme3/blogme3.lua -e 'require\"anggmake\"'")
-- (find-sh "cd ~/blogme3/; lua51 ~/blogme3/blogme3.lua -e 'require\"anggmake\"' | tee /tmp/Makefile.auto2")
-- (find-anggfile "LUA/lua50init.lua" 344)
-- (find-blogme3file "makefile.lua")
-- (find-man "tkdiff")

-- (find-anggfile "TH/Makefile")
-- (find-anggfile "TH/Makefile" "$(HOME)/blogme3/anggmake.lua")

--[[
 (eepitch-shell)
touch -c ~/blogme3/anggmake.lua
makeL

 (eepitch-shell)

cd ~/blogme3/; lua51 ~/blogme3/blogme3.lua -e 'require\"anggmake\"' \
  | tee /tmp/Makefile.auto2
sort ~/TH/L/TH/Makefile.auto | cut -b-80 > /tmp/Makefile.auto.sort
sort /tmp/Makefile.auto2     | cut -b-80 > /tmp/Makefile.auto2.sort
tkdiff /tmp/Makefile.auto.sort /tmp/Makefile.auto2.sort

--]]