-- -*- coding: raw-text -*-
-- rumimake.lua (experimental) - this is part of an attempt to use
-- blogme3 to generate the htmls for several sites containing
-- e-scripts, each of them being able to refer to the other ones.
--
-- Author: Eduardo Ochs <eduardoochs@gmail.com>
-- Version: 2007may01
-- <http://angg.twu.net/blogme3/rumimake.lua>
-- <http://angg.twu.net/blogme3/rumimake.lua.html>
-- License: GPL.

-- See: (find-blogme3 "makefile.lua")
--      (find-blogme3 "blogme3.lua")
-- (find-angg "RUMI/")

require "makefile"    -- (find-blogme3 "makefile.lua")

blogmestems = split [[ index blog rubyblog ]]
asciifiles  = split [[ RUMI/baktodo.e RUMI/notes.e RUMI/ruby.e TH/blog.blogme ]]
orgfiles    = split [[ ORG/index.org ]]
indexlessdirs = split [[ ORG/ RUMI/ TH/ ]]

script = expandguillemets [[
# Generated by: (find-blogme3file "rumimake.lua")
# Run with:     (find-sh "lua51 ~/blogme3/blogme3.lua -e 'require\"rumimake\"'")
# Upload with:  (find-rumi "RUMI/notes.e" "pagina-no-prv")
#
cd ~/RUMI/L/
blogmestems |cp -av ~/RUMI/_.blogme RUMI/_.blogme && touch -c RUMI/_.blogme
asciifiles |cp -av ~/_ _ && touch -c _
orgfiles   |cp -av ~/_ _ && touch -c _
blogmestems|lua51 ~/blogme3/blogme3.lua -o RUMI/_.blogme.html -a2html RUMI/_.blogme
blogmestems|lua51 ~/blogme3/blogme3.lua -o _.html -rumi -i RUMI/_.blogme
asciifiles |lua51 ~/blogme3/blogme3.lua -o _.html -rumi -a2html _
orgfiles   |lua51 ~/blogme3/blogme3.lua -o _.html -rumi -org2html _
indexlessdirs|rm -f _index.html; lua51 ~/blogme3/blogme3.lua -o _index.html -ls _

tar -cvzf /tmp/prvpage.tgz \
  asciifiles |_  \
  orgfiles   |_  \
  blogmestems|RUMI/_.blogme  \
  blogmestems|RUMI/_.blogme.html  \
  blogmestems|_.html  \
  asciifiles |_.html  \
  orgfiles   |_.html  \
  indexlessdirs|_index.html 
ls -l /tmp/prvpage.tgz
#
]]

print(script)

-- file:///home/edrx/RUMI/L/
-- file:///home/edrx/RUMI/L/ORG/index.org.html

-- (find-angg "RUMI/")
-- (find-sh "cd ~/RUMI/; lua51 ~/blogme3/blogme3.lua -e 'require\"rumimake\"'")
-- (find-sh "cd ~/RUMI/; lua51 ~/blogme3/blogme3.lua -e 'require\"rumimake\"' | tee rumimake.sh")
-- (find-fline "~/RUMI/rumimake.sh")
-- (find-node "(zsh)Shell Builtin Commands" "\nset ")
-- (find-node "(zsh)Description of Options" "\nERR_EXIT ")
-- (find-sh "set -ve; . ~/RUMI/rumimake.sh")

--[[

 (eepitch-shell)
cd ~/RUMI/
lua51 ~/blogme3/blogme3.lua -e 'require"rumimake"'

 (eepitch-shell)
cd ~/RUMI/L/
cp -av ~/RUMI/index.blogme RUMI/index.blogme && touch -c RUMI/index.blogme
cp -av ~/RUMI/blog.blogme RUMI/blog.blogme && touch -c RUMI/blog.blogme
cp -av ~/RUMI/baktodo.e RUMI/baktodo.e && touch -c RUMI/baktodo.e
cp -av ~/RUMI/notes.e RUMI/notes.e && touch -c RUMI/notes.e
cp -av ~/RUMI/ruby.e RUMI/ruby.e && touch -c RUMI/ruby.e
cp -av ~/TH/blog.blogme TH/blog.blogme && touch -c TH/blog.blogme
cp -av ~/ORG/index.org ORG/index.org && touch -c ORG/index.org
lua51 ~/blogme3/blogme3.lua -o RUMI/index.blogme.html -a2html RUMI/index.blogme
lua51 ~/blogme3/blogme3.lua -o RUMI/blog.blogme.html -a2html RUMI/blog.blogme
lua51 ~/blogme3/blogme3.lua -o index.html -i RUMI/index.blogme
lua51 ~/blogme3/blogme3.lua -o blog.html -i RUMI/blog.blogme
lua51 ~/blogme3/blogme3.lua -o RUMI/baktodo.e.html -a2html RUMI/baktodo.e
lua51 ~/blogme3/blogme3.lua -o RUMI/notes.e.html -a2html RUMI/notes.e
lua51 ~/blogme3/blogme3.lua -o RUMI/ruby.e.html -a2html RUMI/ruby.e
lua51 ~/blogme3/blogme3.lua -o TH/blog.blogme.html -a2html TH/blog.blogme
lua51 ~/blogme3/blogme3.lua -o ORG/index.org.html -org2html ORG/index.org

# file:///home/edrx/RUMI/L/
# file:///home/edrx/RUMI/L/index.html
# file:///home/edrx/RUMI/L/blog.html
# file:///home/edrx/RUMI/L/RUMI/

--]]
